include ./locales/default_text

-
  var order = {
    "subject": "新光三越美食地圖電子發票開立通知信 [{{ uniNum }}]",
    "title": "您的發票訊息如下",
    "content": "<div style=\"text-align:center;\">(此訊息不可列印拿去兌換)<br /><br />新光三越百貨(股)公司<br />電子發票訊息<br />發票日期：{ YYYY[年]MM[月]DD[日] }<div>",
    "reservationTime": "{YYYY/MM/DD HH:mm:ss}",
    "partnerInfo": {
      "restaurant": {
        "companyName": "{companyName}"
      }
    },
    "payments": [{ "amount": "{amount}", "delivery": "{delivery}" }]
  }

include ./locales/text

-
  text.title = order.title
  text.content = order.content
  text.greeting = defaultText.greeting
  text.orderTitle = defaultText.orderTitle
  text.company = defaultText.company
  text.companyName = defaultText.companyName
  text.date = defaultText.date
  text.code = defaultText.code
  text.price = defaultText.price
  text.viewOrder = defaultText.viewOrder
  text.invoice = defaultText.invoice
  text.desc = defaultText.desc
  text.delivery = defaultText.delivery
  text.invoiceDonation = defaultText.invoiceDonation
  text.taxNumber = defaultText.taxNumber

  var invoice = {
    invoiceNumber: "{invoiceNumber}",
    donation: "{invoiceDonation}",
    companyName: order.partnerInfo.restaurant.companyName,
    vat: "{vat}"
  }


mjml
  include ./include/email_header.pug
  mj-body(background-color="#f3f4f5")
    mj-wrapper(padding="0 20px 0")
      include ./include/email_body_top.pug

      //- content

      mj-section(padding="0")
        mj-column
          mj-text(padding-bottom="10px") !{text.orderTitle}
      mj-section(mj-class="border radius")
        mj-column(mj-class="border-inner radius")
          mj-table(mj-class="order-table")
            tr.order-row
              td !{text.company}
              td(style="text-align: right") !{order.partnerInfo.restaurant.companyName}
            tr.order-row
              td #{text.date}
              td(style="text-align: right") !{order.reservationTime}
            tr.order-row
              td #{text.code}
              td(style="text-align: right") !{'#' + order.uniNum}
            tr.order-row
              td #{text.price}
              td(style="text-align: right") !{order.payments[0].amount}
            tr.order-row
              td #{text.delivery}
              td(style="text-align: right") !{order.payments[0].delivery}
            - if (invoice) {
              - if (invoice.invoiceNumber) {
                tr.order-row
                  td #{text.invoice}
                  td(style="text-align: right") !{invoice.invoiceNumber}
              - }
              tr.order-row
                td #{text.invoiceDonation}
                td(style="text-align: right") !{invoice.donation}
              - if (invoice.companyName) {
                tr.order-row
                  td #{text.companyName}
                  td(style="text-align: right") !{invoice.companyName}
              - }
              - if (invoice.vat) {
                tr.order-row
                  td #{text.taxNumber}
                  td(style="text-align: right") !{invoice.vat}
              - }
            - }

      //- content end

      include ./include/email_body_footer.pug
